Subject: question on ICMP error packets, RFC 4443, 2.4 e)

From: Nicolas Ojeda Bar <[email-masked]>
Date: Sun, 19 Oct 2014 17:25:53 +0100

Hello,

In RFC 4443, 2.4 e.1) it says that ICMP6 errors should not be generated in
response to other ICMP errors. And in 2.4. e.3) it says that one should
generate an ICMP6 error in response to a packet with multicast destination
that has a unrecognized IPv6 option with option type with highest order 2
bits 10.

My question is whether one still has to check that the message considered
e.3) is not an ICMP6 error packet before generating one in response.
Similarly for uni/anycast messages satisfying the condition of e.3).

Please excuse if I have missed something obvious.

Thank you very much!
Nicolas